#include <iostream>
#include <vector>

using namespace std;

int main() {
    int brojstalaktita, pericinavisina; // broj stalaktita i visina Perice
    cin >> brojstalaktita >> pericinavisina;
    vector<int> visinestalaktita(brojstalaktita);
    // ucitava visine stalaktita
    for (int i = 0; i < brojstalaktita; ++i) 
    {
        cin >> visinestalaktita[i];
    }
    // prolazi kroz svaki stalaktit
    for (int i = 0; i < brojstalaktita; ++i) 
    {
        // ako je stalaktit niži ili iste visine kao Perica
        if (visinestalaktita[i] <= pericinavisina) 
        {
            // ispisuje koji stalaktit ga je zaustavio
            cout << i + 1 << endl; // indeks je 1-based
            return 0; // prekid zato što je naišao na prepreku
        }
    }

    // ako može da prode kroz sve stalaktite
    cout << -1 << endl;
    return 0;
}